package com.jeeplus.test.wdt.merchantCompany.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.wdt.merchantCompany.domain.MerchantDetails;
import com.jeeplus.test.wdt.merchantCompany.service.dto.MerchantDetailsDTO;

import java.math.BigDecimal;

/**
 * 入驻详情mapper
 * @author: 徐滕
 * @version: 2024-01-04 10:59
 */
public interface MerchantDetailsMapper extends BaseMapper<MerchantDetails> {


    /**
     * 根据id获取入驻商家信息
     * @param
     * @return
     */
    MerchantDetailsDTO getLimit1();


    /**
     * 入驻企业数汇总
     * @return
     */
    String getSettledEnterpriseNumber(String type);

    /**
     * 电商从业人数汇总
     * @return
     */
    String getPractitionerCount();

    /**
     * 年交易额汇总
     * @return
     */
    String getAnnualSales();

    /**
     * 网络零售额汇总
     * @return
     */
    String getOnlineRetailSales();

    /**
     * 抖音入驻汇总
     * @return
     */
    String getEnterNumber(String settledEnterpriseType);

    /**
     * 电商小铺汇总
     * @return
     */
    String getCommerceShopCountCount();

    /**
     * 电商小铺汇总
     * @return
     */
    String getMerchantProductCount();

}
